A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
not
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Logical operations

## Functions
af_err | af_not (af_array *out, const af_array in)
| C Interface to evaluate the logical NOT of an array.
array | operator! () const
| Performs a not operation on the values of the array.

## Detailed Description

Evaluate the logical NOT of an array.

## Function Documentation

## ◆ af_not()

af_err af_not | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the logical NOT of an array.

Output type is b8.

Parameters

  [out] | out | !, logical NOT
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ operator!()

array operator! | ( |  | ) | const

Performs a not operation on the values of the array.

Returns
  an array with negated values